=== debian/changelog ===
ros-crystal-rosbag2-test-common (0.0.7-0bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 08 Apr 2019 07:00:00 -0000

ros-crystal-rosbag2-test-common (0.0.6-0bionic) bionic; urgency=high

  * enforce unique node names (#86 <https://github.com/ros2/rosbag2/issues/86>)
    * enforce unique node names
    * fix cppcheck
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 27 Feb 2019 08:00:00 -0000

ros-crystal-rosbag2-test-common (0.0.5-0bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-crystal-rosbag2-test-common (0.0.4-0bionic) bionic; urgency=high

  * 0.0.3
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-crystal-rosbag2-test-common (0.0.2-0bionic) bionic; urgency=high

  * update maintainer email
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-crystal-rosbag2-test-common (0.0.1-0bionic) bionic; urgency=high

  * Auto discovery of new topics (#63 <https://github.com/ros2/rosbag2/issues/63>)
  * GH-142 replace map with unordered map where possible (#65 <https://github.com/ros2/rosbag2/issues/65>)
  * use uint8 for serialized message (#61 <https://github.com/ros2/rosbag2/issues/61>)
  * Implement converter plugin for CDR format and add converter plugins package (#48 <https://github.com/ros2/rosbag2/issues/48>)
  * Use directory as bagfile and add additonal record options (#43 <https://github.com/ros2/rosbag2/issues/43>)
  * Introduce rosbag2_transport layer and CLI (#38 <https://github.com/ros2/rosbag2/issues/38>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Karsten Knese, Martin Idel

 -- Karsten Knese <karsten.knese@googlemail.com>  Tue, 11 Dec 2018 08:00:00 -0000
