=== debian/control ===
Source: ros-crystal-rosbag2-test-common
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-cmake-gmock, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-rclcpp, ros-crystal-rcutils, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-rosbag2-test-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-rclcpp, ros-crystal-ros-workspace
Description: Commonly used test helper classes and fixtures for rosbag2
